summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--import.sh3
-rwxr-xr-xscripts/wrap-compiler-for-flag-check31
2 files changed, 33 insertions, 1 deletions
diff --git a/import.sh b/import.sh
index 5da49ba..e791de5 100644
--- a/import.sh
+++ b/import.sh
@@ -37,7 +37,8 @@ tar -x -f "${input}" --strip-components 1 \
 	'libressl-*/m4/check-os-options.m4' \
 	'libressl-*/m4/disable-compiler-warnings.m4' \
 	'libressl-*/man/Makefile.am' \
-	'libressl-*/man/tls_*.3'
+	'libressl-*/man/tls_*.3' \
+	'libressl-*/scripts/wrap-compiler-for-flag-check'
 
 tar -x -f "${input}" --strip-components 2 \
 	-s '/VERSION/LIBTLS_VERSION/' \
diff --git a/scripts/wrap-compiler-for-flag-check b/scripts/wrap-compiler-for-flag-check
new file mode 100755
index 0000000..b014f11
--- /dev/null
+++ b/scripts/wrap-compiler-for-flag-check
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# This file is in the public domain.
+# https://github.com/kmcallister/autoharden/blob/c5c7842f39c2f8d19836bb5427d6479db4436d62/LICENSE
+#
+# From kmcallister: 
+# https://github.com/kmcallister/autoharden/blob/efaf5a16612589808c276a11536ea9a47071f74b/scripts/wrap-compiler-for-flag-check
+
+# Prior to clang v5.1, there was no way to make
+# clang's "argument unused" warning fatal.  This
+# wrapper script that greps for this warning message. Newer clang's have no issues.
+#
+# Ideally the search string would also include 'clang: ' but this output might
+# depend on clang's argv[0].
+#
+set -o errexit
+set -o nounset
+
+if out=`"$@" 2>&1`; then
+  echo "$out"
+  if echo "$out" | grep 'warning: argument unused' >/dev/null; then
+    echo "$0: found clang warning"
+    exit 1
+  else
+    exit 0
+  fi
+else
+  code=$?
+  echo "$out"
+  exit $code
+fi
emon.c?h=1.4&id=8bd0b51140f24f253e8da91112a5e44b53837964&follow=1'>Drop pledge privileges after daemonization 1.2June McEnroe 2021-02-01Remove use of "%n"June McEnroe https://cvsweb.openbsd.org/src/lib/libc/stdio/vfprintf.c?rev=1.79&content-type=text/x-cvsweb-markup I think this is silly, as I've said elsewhere, and it's a shame because that was clearly the best way to write this. Oh well. 2021-02-01Check signals first in the loopJune McEnroe Signals need to be checked first in the loop to catch any that were delivered between setting up the signals handlers and entering the loop, i.e. in the time it takes to initially start each of the services. 2020-12-15Log a message when stopping a service waiting to restart 1.1June McEnroe It's a little annoying to have to special-case this, but otherwise there is no confirmation in the log that the restart won't still happen. 2020-11-10Refactor unveil calls so errors can be reported properlyJune McEnroe 2020-10-27Do not increment signalsJune McEnroe No need to do a read and a write... and it's declared volatile so maybe that's even worse? I don't even know, but there's no point. 2020-10-23Only look up group if one is namedJune McEnroe 2020-10-23Remove default defines of RUNDIR, ETCDIRJune McEnroe 2020-10-23Set shell scripts executable in buildJune McEnroe 2020-10-20Humanize milliseconds if interval is less than 1sJune McEnroe The intervals are configurable in milliseconds so humanize should be able to display at that precision. 2020-10-20Humanize restart intervalJune McEnroe 2020-08-17Document default catsit.conf location on OpenBSD 1.0June McEnroe 2020-08-17Template catsit script with RUNDIRJune McEnroe 2020-08-17Clean up includesJune McEnroe 2020-08-17Log service uptime in statusJune McEnroe